Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoPartMatching Class Reference

## Description

Represents the part matching parameters of the surface mode configuration.

Note
  Supported with G2, G3

Inheritance diagram for GoPartMatching:

## Public Member Functions
GoPartMatchAlgorithm | GoParthMatching_Algorithm (GoPartMatching matching)
| Gets the currently selected part matching algorithm. More...
GoBoxAsymmetryType | GoPartMatching_BoundingBoxAsymmetryDetectionType (GoPartMatching matching)
| Gets the asymmetry detection type for the bounding box part matching configuration. More...
k64f | GoPartMatching_BoundingBoxLengthMax (GoPartMatching matching)
| Gets the maximum length decision value for the bounding box part matching configuration. More...
k64f | GoPartMatching_BoundingBoxLengthMin (GoPartMatching matching)
| Gets the minimum length decision value for the bounding box part matching configuration. More...
k64f | GoPartMatching_BoundingBoxWidthMax (GoPartMatching matching)
| Gets the maximum width decision value for the bounding box part matching configuration. More...
k64f | GoPartMatching_BoundingBoxWidthMin (GoPartMatching matching)
| Gets the minimum width decision value for the bounding box part matching configuration. More...
k64f | GoPartMatching_BoundingBoxZAngle (GoPartMatching matching)
| Gets the Z angle value for the bounding box part matching configuration. More...
const kChar * | GoPartMatching_EdgeModelName (GoPartMatching matching)
| Gets the name of the currently selected part matching edge model. More...
k64f | GoPartMatching_EdgeQualityDecisionMin (GoPartMatching matching)
| Gets the minimum decision value for the edge part matching configuration. More...
GoEllipseAsymmetryType | GoPartMatching_EllipseAsymmetryDetectionType (GoPartMatching matching)
| Gets the asymmetry detection type for the ellipse part matching configuration. More...
k64f | GoPartMatching_EllipseMajorMax (GoPartMatching matching)
| Gets the maximum major decision value for the ellipse part matching configuration. More...
k64f | GoPartMatching_EllipseMajorMin (GoPartMatching matching)
| Gets the minimum major decision value for the ellipse part matching configuration. More...
k64f | GoPartMatching_EllipseMinorMax (GoPartMatching matching)
| Gets the maximum minor decision value for the ellipse part matching configuration. More...
k64f | GoPartMatching_EllipseMinorMin (GoPartMatching matching)
| Gets the minimum minor decision value for the ellipse part matching configuration. More...
k64f | GoPartMatching_EllipseZAngle (GoPartMatching matching)
| Gets the ellipse Z angle value for the ellipse part matching configuration. More...
kStatus | GoPartMatching_EnablePartMatching (GoPartMatching matching, kBool enable)
| Enables part matching. More...
kBool | GoPartMatching_EnablePartMatchingUsed (GoPartMatching matching)
| Returns the state of whether or not the user specified part matching value is used. More...
kBool | GoPartMatching_PartMatchingEnabled (GoPartMatching matching)
| Gets the current state of part matching. More...
kStatus | GoPartMatching_SetAlgorithm (GoPartMatching matching, GoPartMatchAlgorithm algorithm)
| Sets the desired part matching algorithm. More...
kStatus | GoPartMatching_SetBoundingBoxAsymmetryDetectionType (GoPartMatching matching, GoBoxAsymmetryType value)
| Sets the bounding box match decision asymmetry detection type. More...
kStatus | GoPartMatching_SetBoundingBoxLengthMax (GoPartMatching matching, k64f value)
| Sets the bounding box match decision maximum length value. More...
kStatus | GoPartMatching_SetBoundingBoxLengthMin (GoPartMatching matching, k64f value)
| Sets the bounding box match decision minimum length value. More...
kStatus | GoPartMatching_SetBoundingBoxWidthMax (GoPartMatching matching, k64f value)
| Sets the bounding box match decision maximum width value. More...
kStatus | GoPartMatching_SetBoundingBoxWidthMin (GoPartMatching matching, k64f value)
| Sets the bounding box match decision minimum width value. More...
kStatus | GoPartMatching_SetBoundingBoxZAngle (GoPartMatching matching, k64f value)
| Sets the bounding box match decision Z angle value. More...
kStatus | GoPartMatching_SetEdgeModelName (GoPartMatching matching, const kChar *name)
| Sets the current edge model name. More...
kStatus | GoPartMatching_SetEdgeQualityDecisionMin (GoPartMatching matching, k64f value)
| Sets the edge matching decision minimum quality value. More...
kStatus | GoPartMatching_SetEllipseAsymmetryDetectionType (GoPartMatching matching, GoEllipseAsymmetryType value)
| Sets the ellipse match decision asymmetry detection type. More...
kStatus | GoPartMatching_SetEllipseMajorMax (GoPartMatching matching, k64f value)
| Sets the ellipse match major decision maximum value. More...
kStatus | GoPartMatching_SetEllipseMajorMin (GoPartMatching matching, k64f value)
| Sets the ellipse match major decision minimum value. More...
kStatus | GoPartMatching_SetEllipseMinorMax (GoPartMatching matching, k64f value)
| Sets the ellipse match minor decision maximum value. More...
kStatus | GoPartMatching_SetEllipseMinorMin (GoPartMatching matching, k64f value)
| Sets the ellipse match minor decision minimum value. More...
kStatus | GoPartMatching_SetEllipseZAngle (GoPartMatching matching, k64f value)
| Sets the ellipse match Z angle value. More...

The documentation for this class was generated from the following file:

- GoPartMatching.h